<ui:composition template="../template/template.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="title">
        .:Seguimiento Web:.
    </ui:define>

	<ui:define name="titlePages">
		<span>Seguimiento de Solicitudes</span>
	</ui:define>
	<ui:define name="urlNavegacion">
		<li class="active"><a href="http://www.bnp.gob.pe/"> <b>BNP</b></a></li>
		<li class="active">Bienvenida</li>
		<li>Seguimiento de Solicitudes</li>

		<li id="box-regresar" class="active pull-right"><h:form
				id="frmRegresar">
				<p:commandButton value="Regresar" icon="fa fa-angle-double-left"
					styleClass="btnlink" action="#{solicitudExternoMB.irBienvenida}"
					ajax="false" />
			</h:form></li>
	</ui:define>

	<ui:define name="content">
	#{solicitudExternoMB.llenarCombos()}
	#{solicitudExternoMB.listarSolicitudes()}
		<div class="row">

			<h:form id="frmListaSolicitud">
				<p:growl id="mensaje" showDetail="true" sticky="false" life="5000" />
				<div class="col-md-12">
					<fieldset>
						<div class="row box-mb">
							<div class="col-sm-3">
								<div class="form-group">
									<h:outputLabel for="txtNumDocumento"
										value="N&#186; Documento: " styleClass="control-label" />
									<p:inputText id="txtNumDocumento"
										value="#{solicitudExternoMB.reporteBandejaConsulta.numero_documento_identidad}"
										maxlength="8" mask="99999999" style="text-transform:uppercase"
										onkeypress="return onlyNumber(event)" required="false"
										styleClass="form-control" tabindex="1" />
								</div>
							</div>
							<div class="col-sm-3">
								<div class="form-group">
									<h:outputLabel for="cboAnio" value="Año Solicitud: "
										styleClass="control-label" />
									<p:selectOneMenu id="cboAnio"
										value="#{solicitudExternoMB.reporteBandejaConsulta.anio_solicitud}"
										styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione ---" />
										<f:selectItem itemValue="2018" itemLabel="2018" />
										<f:selectItem itemValue="2017" itemLabel="2017" />
										<f:selectItem itemValue="2016" itemLabel="2016" />
									</p:selectOneMenu>
								</div>
							</div>
                        </div>
                        <div class="row box-mb">
							<div class="col-sm-3">
								<div class="form-group">
									<h:outputLabel for="txtNombres" value="Nombres: "
										styleClass="control-label" />
									<p:inputText id="txtNombres"
										value="#{solicitudExternoMB.reporteBandejaConsulta.nombres}"
										maxlength="70" style="text-transform:uppercase"
										onkeypress="return soloLetras(event)" required="false"
										styleClass="form-control" tabindex="1" />
								</div>
							</div>
							<div class="col-sm-4">
								<div class="form-group">
									<h:outputLabel for="txtApPaterno" value="Apellido Paterno: "
										styleClass="control-label" />
									<p:inputText id="txtApPaterno"
										value="#{solicitudExternoMB.reporteBandejaConsulta.apellido_paterno}"
										maxlength="60" style="text-transform:uppercase"
										onkeypress="return soloLetras(event)" required="false"
										styleClass="form-control" tabindex="1" />
								</div>
							</div>
							<div class="col-sm-4">
								<div class="form-group">
									<h:outputLabel for="txtApMaterno" value="Apellido Materno"
										styleClass="control-label" />
									<p:inputText id="txtApMaterno"
										value="#{solicitudExternoMB.reporteBandejaConsulta.apellido_materno}"
										maxlength="60" style="text-transform:uppercase"
										onkeypress="return soloLetras(event)" required="false"
										styleClass="form-control" tabindex="1" />
								</div>
							</div>
						</div>
	                    <br />
						<div class="row box-mb">
							<div class="col-sm-12 text-right box-main-btn">

								<p:commandButton id="idBuscar" value="Buscar"
									icon="icon-search ocultarImgIcon"
									styleClass="btn btn-default btn-sensitive btn-buscar"
									actionListener="#{solicitudExternoMB.listarSolicitudes}"
									onclick="PF('statusDialog').show()"
									oncomplete="PF('statusDialog').hide()" ajax="true"
									update=":frmListaSolicitud" />

								<p:commandButton id="btnLimpiar"
									styleClass="btn btn-default btn-sensitive btn-buscar"
									value="Limpiar"
									actionListener="#{solicitudExternoMB.limpiarConsulta}"
									onclick="PF('statusDialog').show();"
									oncomplete="PF('statusDialog').hide();" icon="icon-limpiar"
									update=":frmListaSolicitud" />

							</div>
						</div>
						
						<div class="row box-mb">
							<div class="col-sm-12 box-table-class">
								<p:dataTable id="tblListaSolicitud" var="solicitud"
									value="#{solicitudExternoMB.lstRptBandeja}"
									rowKey="#{archivo.id}" rowIndexVar="item" paginator="true"
									paginatorPosition="top" rowsPerPageTemplate="10,20,30,40,50"
									rows="10" style="text-align:center"
									emptyMessage="No existen registros">

									<p:column headerText="Correlativo"
										style="width:40px;height: 20px">
										<h:outputText value="#{solicitud.correlativo_solicitud}" />
									</p:column>

									<p:column headerText="Año" style="width:15px;height: 20px">
										<h:outputText value="#{solicitud.anio_solicitud}" />
									</p:column>

									<p:column headerText="Tipo Documento"
										style="width:50px;height: 30px">
										<h:outputText value="#{solicitud.tipo_doc_identidad_detalle}" />
									</p:column>

									<p:column headerText="Nro. Documento"
										style="width:40px;height: 30px">
										<h:outputText value="#{solicitud.numero_documento_identidad}" />
									</p:column>

									<p:column headerText="Apellidos Parterno"
										style="width:50px;height: 30px">
										<h:outputText value="#{solicitud.apellido_paterno}" />
									</p:column>

									<p:column headerText="Apellidos Materno"
										style="width:50px;height: 30px">
										<h:outputText value="#{solicitud.apellido_materno}" />
									</p:column>

									<p:column headerText="Nombres" style="width:50px;height: 30px">
										<h:outputText value="#{solicitud.nombres}" />
									</p:column>

									<p:column headerText="Estado solicitud" style="width:40px;">
										<h:outputText value="#{solicitud.estado_solicitud_detall}" />
									</p:column>

									<p:column headerText="Situación Solicitud" style="width:40px;">
										<h:outputText value="#{solicitud.situacion_solicitud_detall}" />
									</p:column>
								</p:dataTable>
							</div>
						</div>
					</fieldset>
				</div>
				
			</h:form>
			<p:dialog widgetVar="statusDialog" modal="true" draggable="false" 
				      closable="false" resizable="false" showHeader="false">
		    		<p:graphicImage value="../resources/img/loadingbar.gif" />
			</p:dialog>
		</div>
	</ui:define>
</ui:composition>